Bug 124548 - Sendmail doesn't match mixed case nis aliases
Sendmail doesn't match mixed case nis aliases
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: sendmail (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-27 09:32 EDT by Thomas J. Baker
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-24 11:58:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2004-05-27 09:32:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040510 Galeon/1.3.14

Description of problem:
sendmail doesn't seem to match mixed case yp aliases. With an alias
defined as 'Test: tjb@sr.unh.edu', sendmail doesn't match 'test' or
'Test' but if the aliases is changed to 'test: tjb@sr.unh.edu' it
works fine. I don't know if this is a bug or a feature. This happens
with the two stated versions of sendmail.

Version-Release number of selected component (if applicable):
sendmail-8.12.10-1, sendmail-8.12.11-3.3

How reproducible:
Always

Steps to Reproduce:
1. create an nis alias with mixed case like 'Test'
2. try to mail to it
3.
    

Actual Results:  mail bounces

Expected Results:  mail should be delivered normally

Additional info:
Comment 1 Thomas Woerner 2007-07-23 05:44:00 EDT
Please have a look at the sendmail documentation:
http://www.sendmail.org/~ca/email/doc/op-sh-2.html

Have you used the -l flag for sendmail?
Comment 2 Thomas Woerner 2007-07-24 11:57:31 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat Enterprise
Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux. 

Note You need to log in before you can comment on or make changes to this bug.